Bug 479232 - Message Filters for incoming mails cannot work
Message Filters for incoming mails cannot work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 02:11 EST by Cao, Chen
Modified: 2009-10-23 12:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-23 12:17:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cao, Chen 2009-01-08 02:11:55 EST
Description of problem:
Message Filters cannot process incoming mail filter rules.
I have set evolution Message Filters to run a program if 
I receive a mail that satisfies the rule I have set in the 
filters, however, evolution cannot store the rules correctly, 
and of course, does not run the program that I want it to run.
But, evolution Message Filters works well with outgoing mails.



Version-Release number of selected component (if applicable):
evolution 2.24.2-3.f10


How reproducible:
100% reproducible on my machine.


Steps to Reproduce:
1. make sure you are in the 'Mail' view mode, 
if not press 'Ctrl + 1', or click 'View | Window | Mail' on 
the main menu.
2. click 'Edit | Message Filters' on the main menu of evolution.
3. click 'Add' on the 'Message Filters' window.
4. set the Rule name to some name that does not conflict 
the current existing names. for example 'Untitledxxxx'.
And in the section 'Then', choose 'Run Program' in the first 
column, and /usr/bin/gedit in the second column as the program 
to run.
5. click 'OK' to close the 'Add Rule' window and save the rule.
6. select the rule that you have just created, and click 'Edit' 
on the 'message Filters' window.
you would see that the program to run is now '(NONE)'
.

  
Actual results:
evolution Message Filters cannot save the rules for incoming 
mails correctly, and of course, cannot execute the rules correctly.
it does not run the programs I want it to run, or beep, when I 
receive the mails that satisfy the rules.


Expected results:
save the rules for incoming mails correctly, and run the 
programs I have set it to run correctly. Beep if I set it to beep 
when receive the mails that satisfy the rules.



Additional info:
N/A
Comment 1 Mike Chambers 2009-03-07 10:16:06 EST
Please upgrade evolution to the latest package in updates and/or updates-testing and see if it still has problems.  Changed version to 10 as it seems your using Fedora 10, as the version of evolution you listed hasn't been in rawhide in a while.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Matthew Barnes 2009-10-23 12:17:50 EDT
Closing as INSUFFICENT_DATA due to lack of reponse.

Note You need to log in before you can comment on or make changes to this bug.